Skip to main content
POST
/
api
/
v2
/
ramps
/
{id}
/
documents
Upload ramp document
curl --request POST \
  --url https://sandbox.killb.app/api/v2/ramps/{id}/documents \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form 'documentType=<string>' \
  --form file='@example-file'
{
  "documentType": "SOURCE_OF_FUNDS",
  "filePath": "ramps/e8d74b2f-86df-43b0-a9d9-72055a6b0432/SOURCE_OF_FUNDS.pdf",
  "uploadedAt": "2026-04-23T00:38:08.439Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.killb.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

id
string
required

Body

multipart/form-data
documentType
string
required
file
file
required

Response

documentType
string
required
Example:

"SOURCE_OF_FUNDS"

filePath
string
required

Path of the file stored in Google Cloud Storage

Example:

"ramps/e8d74b2f-86df-43b0-a9d9-72055a6b0432/SOURCE_OF_FUNDS.pdf"

uploadedAt
string<date-time>
required
Example:

"2026-04-23T00:38:08.439Z"